Replay a retained event
curl --request POST \
--url https://api.paywithlocus.com/api/credits/webhooks/events/{eventId}/replay \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paywithlocus.com/api/credits/webhooks/events/{eventId}/replay"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywithlocus.com/api/credits/webhooks/events/{eventId}/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "credits.topup.completed",
"api_version": "2026-08-13",
"created_at": "2023-11-07T05:31:56Z",
"sequence": "<string>",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"externalUserId": "<string>",
"amountUsd": "<string>",
"balanceUsd": "<string>",
"reference": "<string>",
"source": "checkout_session",
"metadata": {},
"bonusUsd": "<string>"
},
"retained_until": "2023-11-07T05:31:56Z",
"deliveries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attempt": 2,
"destination_url": "<string>",
"status": "pending",
"manual_replay": true,
"scheduled_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"http_status": 123,
"response_body": "<string>",
"error": "<string>"
}
]
}
}Webhooks
Replay a retained event
Creates one new attempt using the same stable event ID and current endpoint. Returns 409 while another attempt is pending.
POST
/
credits
/
webhooks
/
events
/
{eventId}
/
replay
Replay a retained event
